ISLOWER(3)

NAME
islower - lower-case character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
islower(int c);

DESCRIPTION
The islower() function tests for any lower-case letter for which none of iscntrl(3), isdigit(3), ispunct(3), or isspace(3) is true. In the ``C'' locale, islower() returns true only for the characters defined as lower-case letters.

RETURN VALUES
The islower() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The islower() function conforms to ansiC.

CAVEATS
The argument to islower() must be EOF or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.